import { ShellConfig } from "../lib/config";
import { Command } from "@oclif/core";
type Regions = {
    [key: string]: Region;
};
declare class Region {
    name: string;
    secret: string;
    constructor(name: string, secret: string);
    endpointName(base: string): string;
}
export default class CloudLoginCommand extends Command {
    static description: string;
    static examples: string[];
    static flags: {};
    run(): Promise<void>;
    execute(config: ShellConfig): Promise<void>;
    askName(config: ShellConfig): Promise<string>;
    askDefault(config: ShellConfig, base: string, regions: Regions): Promise<string>;
    passwordStrategy(): Promise<Regions>;
    otp({ email, password, }: {
        email: string;
        password: string;
    }): Promise<Regions>;
    handlePasswordStrategyError({ email, password, error, }: {
        email: string;
        password: string;
        error: any;
    }): Promise<Regions>;
    loginByPassword({ email, password, otp, }: {
        email: string;
        password: string;
        otp?: string;
    }): Promise<Regions>;
}
export {};
