"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const config_1 = require("../../lib/config");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
class ListEndpointCommand extends core_1.Command {
    async run() {
        const config = config_1.ShellConfig.read({});
        await this.execute(config);
    }
    async execute(config) {
        await this.parse();
        this.log("Available endpoints:");
        for (const key of Object.keys(config.rootConfig.endpoints)) {
            if (config.rootConfig.defaultEndpoint === key) {
                this.log(chalk_1.default.green("* ") + key);
            }
            else {
                this.log("  " + key);
            }
        }
    }
}
ListEndpointCommand.flags = {};
ListEndpointCommand.description = "List endpoints in ~/.fauna-shell.";
ListEndpointCommand.examples = ["$ fauna endpoint list"];
ListEndpointCommand.aliases = ["list-endpoints"];
ListEndpointCommand.deprecateAliases = true;
exports.default = ListEndpointCommand;
