"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const config_1 = require("../../lib/config");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
class ListEnvironmentCommand extends core_1.Command {
    async run() {
        const config = config_1.ShellConfig.read({}, this);
        await this.execute(config);
    }
    async execute(config) {
        var _a;
        await this.parse();
        if (config.projectConfig === undefined) {
            this.error("No project config found");
        }
        this.log("Available environments:");
        for (const key of Object.keys(config.projectConfig.environments)) {
            if (((_a = config.projectConfig) === null || _a === void 0 ? void 0 : _a.defaultEnvironment) === key) {
                this.log(chalk_1.default.green("* ") + key);
            }
            else {
                this.log("  " + key);
            }
        }
    }
}
ListEnvironmentCommand.flags = {};
ListEnvironmentCommand.description = `List environments available in \`.fauna-project\`.

NOTE: \`fauna project\` and \`fauna environment\` are still in beta. Behavior is subject to change.`;
ListEnvironmentCommand.examples = ["$ fauna environment list"];
exports.default = ListEnvironmentCommand;
