"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const custom_help_1 = tslib_1.__importDefault(require("../custom-help"));
/**
 * This class is pulled from:
 * https://github.com/oclif/plugin-help/blob/main/src/commands/help.ts
 * We were previously using the plugin-help to add a help command to the
 * fauna CLI.  This didn't work with custom help classes though so this
 * class has been copied here to allow us to use our custom help class.
 */
class HelpCommand extends core_1.Command {
    async run() {
        const { argv, flags } = await this.parse(HelpCommand);
        const help = new custom_help_1.default(this.config, { all: flags["nested-commands"] });
        await help.showHelp(argv);
    }
}
HelpCommand.args = {
    commands: core_1.Args.string({
        description: "Command to show help for.",
        required: false,
    }),
};
HelpCommand.description = "Display help for <%= config.bin %>.";
HelpCommand.flags = {
    "nested-commands": core_1.Flags.boolean({
        char: "n",
        description: "Include all nested commands in the output.",
    }),
};
HelpCommand.strict = false;
exports.default = HelpCommand;
