export = ImportCommand;
declare class ImportCommand extends FaunaCommand {
    supportedExt: string[];
    isDir(path: any): boolean;
    run(): Promise<void>;
    client: any;
    importDir(path: any, progressTracker: any): Promise<void>;
    importFile(path: any, progressTracker: any): Promise<void>;
    calculateFileSize(path: any): number;
    calculateFolderSize(path: any, files: any): number;
    parseFileName(path: any): {
        name: string;
        ext: string;
        path: any;
    };
    dataImport({ source, collection, path, progressTracker }: {
        source: any;
        collection: any;
        path: any;
        progressTracker: any;
    }): Promise<any>;
    getTransformStreamStrategy(extension: any, flags: any): any;
    handleError(error: any): void;
    createConditionallyExpr(collection: any, isDryRun: any): {};
    ensureCollection({ collection }: {
        collection: any;
    }): Promise<undefined>;
}
declare namespace ImportCommand {
    let description: string;
    let examples: string[];
    let flags: {
        domain: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        scheme: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        port: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        url: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        timeout: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        secret: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        endpoint: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        environment: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        path: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        db: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        collection: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        type: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        append: import("@oclif/core/lib/interfaces/parser.js").BooleanFlag<boolean>;
        "allow-short-rows": import("@oclif/core/lib/interfaces/parser.js").BooleanFlag<boolean>;
        "dry-run": import("@oclif/core/lib/interfaces/parser.js").BooleanFlag<boolean>;
        "treat-empty-csv-cells-as": import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
    };
}
import FaunaCommand_1 = require("../lib/fauna-command.js");
import FaunaCommand = FaunaCommand_1.default;
