/// <reference types="node" />
export = ShellCommand;
declare class ShellCommand extends EvalCommand {
    commands: {
        cmd: string;
        help: string;
        action: () => void;
    }[];
    run(): Promise<void>;
    connection: any;
    startShell(): void;
    repl: repl.REPLServer | undefined;
    eval(originalEval: any): (cmd: any, ctx: any, filename: any, cb: any) => Promise<any>;
    executeFql({ ctx, fql }: {
        ctx: any;
        fql: any;
    }): Promise<any>;
    clear(): void;
    lastError(): void;
}
declare namespace ShellCommand {
    let description: string;
    let examples: string[];
    let flags: {
        version: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        typecheck: import("@oclif/core/lib/interfaces/parser.js").BooleanFlag<boolean>;
        domain: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        scheme: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        port: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        url: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        timeout: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        secret: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        endpoint: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
        environment: import("@oclif/core/lib/interfaces/parser.js").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser.js").CustomOptions>;
    };
    namespace args {
        let db_path: import("@oclif/core/lib/interfaces/parser.js").Arg<string | undefined, Record<string, unknown>>;
    }
}
import EvalCommand = require("./eval.js");
import repl = require("repl");
