import { Command } from "@oclif/core";
import { Endpoint, ShellConfig } from "./config";
import FaunaClient from "./fauna-client";
export interface AddEnvironmentParams {
    endpoint?: string;
    database?: string;
    name?: string;
    default?: boolean;
    nonInteractive?: boolean;
}
export declare class EnvironmentFactory {
    cmd: Command;
    config: ShellConfig;
    constructor(cmd: Command, config: ShellConfig);
    askEndpoint(): Promise<string>;
    /**
     *
     * @param cmd - used to send info/errors to the user.
     * This method will be executed from the project init as well as environment add method
     * @param config
     */
    addEnvironment(params?: AddEnvironmentParams): Promise<void>;
    promptDatabasePath: (endpoint: Endpoint) => Promise<string>;
    validateDatabasePath: (client: FaunaClient, path: string) => Promise<boolean>;
    getDatabasePaths: (client: FaunaClient) => Promise<string[] | undefined>;
}
