"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dirIsWriteable = exports.dirExists = void 0;
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
function dirExists(path) {
    const stat = fs_1.default.statSync(path, {
        // returns undefined instead of throwing if the file doesn't exist
        throwIfNoEntry: false,
    });
    if (stat === undefined || !stat.isDirectory()) {
        return false;
    }
    else {
        return true;
    }
}
exports.dirExists = dirExists;
function dirIsWriteable(path) {
    try {
        fs_1.default.accessSync(path, fs_1.default.constants.W_OK);
    }
    catch (e) {
        return false;
    }
    return true;
}
exports.dirIsWriteable = dirIsWriteable;
