export declare class Secret {
    key: string;
    allowDatabase: boolean;
    databaseScope: string[];
    constructor(opts: {
        key: string;
        allowDatabase: boolean;
        databaseScope?: string[];
    });
    static parseFlag(key: string): Secret;
    static parse(key: string): Secret;
    buildSecret(opts?: {
        role?: string;
    }): string;
    /**
     * Parses the given scope, appends it to the `Secret`, and returns the new
     * secret. This mutates `this`.
     */
    appendScope(scope: string): this;
    clone(): Secret;
}
